Package com.smartgwt.client.widgets.form.fields.events

# Class IconKeyPressEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<IconKeyPressHandler>
com.smartgwt.client.widgets.form.fields.events.IconKeyPressEvent

public class IconKeyPressEvent extends AbstractSmartEvent<IconKeyPressHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IconKeyPressEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(IconKeyPressHandler handler)`
  `static <S extends HasIconKeyPressHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<IconKeyPressHandler>`
  `getAssociatedType()`
  `char`
  `getCharacter()`
  character produced by the keypress
  `FormItem`
  `getFiringItem()`
  Returns the `FormItem` firing the event.
  `DynamicForm`
  `getForm()`
  a pointer to this item's form
  `FormItemIcon`
  `getIcon()`
  a pointer to the icon that received the click event.
  `FormItem`
  `getItem()`
  a pointer to this form item
  `String`
  `getKeyName()`
  name of the key pressed
  `static GwtEvent.Type<IconKeyPressHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IconKeyPressEvent

    public IconKeyPressEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringItem

    public FormItem getFiringItem()
    Returns the `FormItem` firing the event.
    Returns:
      FormItem firing the event

  - ### fire

    public static <S extends HasIconKeyPressHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<IconKeyPressHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(IconKeyPressHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<IconKeyPressHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<IconKeyPressHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<IconKeyPressHandler>`

  - ### getKeyName

    public String getKeyName()
    name of the key pressed
    Returns:
      name of the key pressed

  - ### getCharacter

    public char getCharacter()
    character produced by the keypress
    Returns:
      character produced by the keypress

  - ### getForm

    public DynamicForm getForm()
    a pointer to this item's form
    Returns:
      a pointer to this item's form

  - ### getItem

    public FormItem getItem()
    a pointer to this form item
    Returns:
      a pointer to this form item

  - ### getIcon

    public FormItemIcon getIcon()
    a pointer to the icon that received the click event.
    Returns:
      a pointer to the icon that received the click event.